<p class="topic">
Matching Rules
</p>

<p class="text">
Use the Matching Rules tab to view all the matching rules used by the directory. The table includes matching rules from plug-ins you have created.You cannot edit the standard matching rules.
</p>

<p class="text">
Matching rules provide guidelines for how the server compares strings during a search operation. In an international search, the matching rule tells the server what collation order and operator to use. For example, a matching rule in an international search might tell the server to search for attribute values that come at or after llama in the Spanish collation order.
</p>

<p class="text">
<b>Name. </b>Contains a list of all the user-defined and standard matching rules currently available to the directory. Standard matching rules are named according to the following syntax:
</p>

<p class="text">
<span class="variable">AttributeSyntax SearchType</span>-<code>Lang</code>
</p>

<p class="text">
Where <span class="variable">AttributeSyntax</span> is the type of attribute on which this matching rule may be applied, <span class="variable">SearchType</span> is the type of search for which this matching rule may be applied, and <span class="variable">Lang</span> is the abbreviated code for the locale of the matching rule. 
</p>

<p class="text">
The possible name types include:
</p>

<ul class="text">
<li>
caseIgnoreOrderingMatch-(Lang)
</li>

<li>
caseExactOrderingMatch-(Lang)
</li>

<li>
caseIgnoreSubstringMatch-(Lang)
</li>

<li>
caseExactSubstringMatch-(Lang)
</li>
</ul>

<p class="text">
<b>OID. </b>The object identifier of the matching rule's locale. Each locale supported by the directory has an associated collation order OID. 
</p>

<p class="text">
<b>Syntax. </b>Displays the syntax of the matching rule's locale. Matching rule syntax is defined as "Directory String" and is used internally by the directory.
</p>

<p class="text">
<b>Description. </b>Contains the two character language tag of the locale. If necessary to distinguish regional differences in language, the language tag may also contain a country code, which is a two-character uppercase string (as defined in ISO standard 3166). The language code and country code are separated by a hyphen. For example, the language tag used to identify the British English locale is en-GB.
</p>
